@if (authenticatedUser$ | async; as user) {
  <div
    class="full-width full-height flex-column overflow-hidden admin-workspace-grid-container"
  >
    <div class="flex-fixed-size flex-row">
      <span class="admin-workspace-secondary-title m-l-50">
        {{
          'sqtm-core.administration-workspace.entities-customization.environment-variables.title'
            | translate
        }}
      </span>
      @if (user.admin) {
        <div
          class="flex-fixed-size admin-workspace-grid-toolbar"
          [attr.data-test-toolbar-id]="'environment-variables-toolbar'"
        >
          <i
            nz-icon
            nz-dropdown
            nzType="sqtm-core-generic:add"
            nzTheme="outline"
            class="current-workspace-button action-icon-size"
            [attr.data-test-toolbar-button-id]="'create-button'"
            nz-tooltip
            nzTooltipPlacement="topRight"
            [nzTooltipTitle]="
              'sqtm-core.entity.environment-variable.tooltip.add' | translate
            "
            (click)="openCreateDialog()"
          >
          </i>
          <span class="current-workspace-button">
            <sqtm-core-toggle-icon
              (clickedInActiveMode)="deleteEnvironmentVariables()"
              [active]="gridService.hasSelectedRows$ | async"
            >
              <i
                nz-icon
                nz-dropdown
                nzType="sqtm-core-generic:delete"
                nzTheme="outline"
                class="action-icon-size"
                nz-tooltip
                nzTooltipPlacement="topRight"
                [nzTooltipTitle]="
                  'sqtm-core.entity.environment-variable.tooltip.delete.multiple'
                    | translate
                "
                [attr.data-test-toolbar-button-id]="'delete-button'"
              >
              </i>
            </sqtm-core-toggle-icon>
          </span>
        </div>
      }
    </div>
    <div class="flex-row full-width full-height">
      <sqtm-app-custom-anchors></sqtm-app-custom-anchors>
      <div
        class="flex-column full-height full-width overflow-hidden sqtm-large-grid-container p-10 m-l-10"
      >
        <sqtm-core-text-research-field
          [attr.data-test-element-id]="'environment-variable-filter-field'"
          (newResearchValue)="filterEnvironmentVariables($event)"
          class="sqtm-core-multi-research-field"
        >
        </sqtm-core-text-research-field>
        <sqtm-core-grid class="full-height"></sqtm-core-grid>
      </div>
    </div>
  </div>
}
